Bug 104546 - NFS server can't handle files greater than 2GB
Summary: NFS server can't handle files greater than 2GB
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-16 23:23 UTC by Rick Gaudette
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Gaudette 2003-09-16 23:23:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When reading or writing files larger than 2 GB to a RH 9 NFS server from a RH 9
workstation we eventually get a "File size limit exceeded" error.  This does not
occur with all large file access but once it does happen it happens every time
large file access is attemped.  Once it occurs it happens with all programs,
both system command such as cat and dd as well as our own in house code.

The one thing that consistently seem to start the error happening is to do a
full back up of a one of the large (100s of GB) of workstations disks that get
backed up to a tape system on the server.  (I am thinking some 32 bit counter
that may be wrapping around at some point???)

Version-Release number of selected component (if applicable):
kernel-2.4.20-20

How reproducible:
Sometimes

Steps to Reproduce:
1. create a large file on server via NFS
2. read large (hundreds of GB from the client to the server)
3. attempt to read the large file that was created (i.e. with cat)
    

Actual Results:  File size limit exceeded

Expected Results:  The file should have read OK

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:41:32 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.